Issue 10019

Title
checkboxes not working in editable trees
Priority
bug
Status
resolved
Superseder
Ability to filter One2Many field (issue 4511)
Nosy list
ced, dotbit, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2021-01-21.13:28:32 by dotbit, last changed 2 weeks ago by roundup-bot.

Messages

New changeset 3819189c5d6b by Cédric Krier in branch 'default':
Do not return string in get_textual_value of Boolean
https://hg.tryton.org/tryton-env/rev/3819189c5d6b
New changeset 4fd1a5b8994e by Cédric Krier in branch 'default':
Do not return string in get_textual_value of Boolean
https://hg.tryton.org/tryton/rev/4fd1a5b8994e
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-02-01.10:03:36

Please do not mark issue as resolved as long as the fix is not included.

Author: [hidden] (dotbit) Tryton translator
Date: 2021-02-01.08:01:19

I confirm that the bug is fixed after applying the patch from review335481002

Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2021-01-30.21:01:45

It was introduced by issue4511. review335481002 should fix it.

Author: [hidden] (dotbit) Tryton translator
Date: 2021-01-29.09:09:39

The bug can be replicated using the GTK Client. I have not tested sao.

Author: [hidden] (dotbit) Tryton translator
Date: 2021-01-21.13:28:31

In 5.8 there is no problem.

In current code (as of 2021-01-20):

In Parties action, the Contact mechanisms view is an editable tree by default.
Used a fresh database.

In this tree the check box for invoice usage is not editable, and does not show the correct information from the database.
The form view still works as expected.

I discovered this while working on [issue9991](issue9991),stock module extending the party.contact_mechanism and associated views.
I have tested with and without the stock module and the result is the same.

I do not have the know-how to debug this.

History
Date User Action Args
2021-02-12 20:37:33roundup-botsetmessages: + msg64514
2021-02-12 20:37:29roundup-botsetmessages: + msg64513
nosy: + roundup-bot
status: testing -> resolved
2021-02-01 10:03:36cedsetmessages: + msg64195
status: resolved -> testing
2021-02-01 08:01:19dotbitsetmessages: + msg64193
status: testing -> resolved
2021-01-30 21:24:21reviewbotsetmessages: + msg64177
nosy: + reviewbot
2021-01-30 21:01:45cedsetassignedto: ced
component: + tryton, - party
keyword: + review
messages: + msg64176
nosy: + ced
reviews: 335481002
status: unread -> testing
superseder: + Ability to filter One2Many field
2021-01-29 09:09:39dotbitsetcomponent: + party
messages: + msg64165
type: behavior
2021-01-21 13:28:32dotbitcreate

Showing 10 items. Show all history (warning: this could be VERY long)